### Enumeration

# Qmi OmaSessionState

since: 1.6

#### Declaration

    enum Qmi.OmaSessionState

#### Description [src]

State of the OMA-DM session.

Available since: 1.6

#### Members

`QMI_OMA_SESSION_STATE_COMPLETE_INFORMATION_UPDATED`

  Session complete and information updated.

  - Value: `0`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_COMPLETE_UPDATED_INFORMATION_UNAVAILABLE`

  Session complete but updated information not available.

  - Value: `1`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_FAILED`

  Session failed.

  - Value: `2`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_RETRYING`

  Session retrying.

  - Value: `3`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_CONNECTING`

  Session connecting.

  - Value: `4`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_CONNECTED`

  Session connected.

  - Value: `5`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_AUTHENTICATED`

  Session authenticated.

  - Value: `6`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_MDN_DOWNLOADED`

  MDN downloaded.

  - Value: `7`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_MSID_DOWNLOADED`

  MSID downloaded.

  - Value: `8`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_PRL_DOWNLOADED`

  PRL downloaded.

  - Value: `9`
  - Available since: 1.6
`QMI_OMA_SESSION_STATE_MIP_PROFILE_DOWNLOADED`

  MIP profile downloaded.

  - Value: `10`
  - Available since: 1.6

#### Type functions

###### qmi_oma_session_state_get_string

Gets the nickname string for the `QmiOmaSessionState` specified at `val`.

since: 1.6